<?php
class Plugin_theme extends Plugin {

  function __construct() {
    parent::__construct();

    $this->app = Slim::getInstance();
    $this->theme_assets_path = Statamic::get_theme_assets_path();
    $this->theme_path = Statamic::get_theme_path();
    $this->theme_root = Statamic::get_templates_path();
    $this->site_root  = Statamic::get_site_root();
  }

  # Usage example: {{ theme:partial src="sidebar" }}
  public function partial() {
    
    $src = $this->fetch_param('src', null);

    if ($src) {
      $src .= ".html";

      $partial_path = $this->theme_root . 'partials/' . ltrim($src, '/');
      if (file_exists($partial_path)) {
        Statamic_View::$_dataStore = array_merge(Statamic_View::$_dataStore, $this->attributes);
        return $this->parser->parse(file_get_contents($partial_path), Statamic_View::$_dataStore, 'Statamic_View::callback');
      }
    }

    return null;
  }

  # Usage example: {{ theme:asset src="file.ext" }}
  public function asset() {
    $src = $this->fetch_param('src', Statamic::get_theme().'.js');
    $file = $this->theme_path.$this->theme_assets_path.$src;
    return $this->site_root.$file;
  }

  # Usage example: {{ theme:js src="jquery" }}
  public function js() {
    $src = $this->fetch_param('src', Statamic::get_theme().'.js');
    $file = $this->theme_path.$this->theme_assets_path.'js/'.$src;

    # Add '.js' to the end if not present.
    if (substr($file, -3) != '.js') {
      $file = $file.'.js';
    }

    return $this->site_root.$file;
  }

  # Usage example: {{ theme:css src="primary" }}
  public function css() {
    $src  = $this->fetch_param('src', Statamic::get_theme().'.css');
    $file = $this->theme_path.$this->theme_assets_path.'css/'.$src;

    # Add '.css' to the end if not present.
    if (substr($file, -4) != '.css') {
      $file = $file.'.css';
    }

    return $this->site_root.$file;
  }

  # Usage example: {{ theme:img src="logo.png" }}
  public function img() {
    $src  = $this->fetch_param('src', null);
    $file = $this->theme_path.$this->theme_assets_path.'img/'.$src;

    return $this->site_root.$file;
  }
}