<?php
class Statamic_Validate {


  public static function required($data, $field) {
    if (isset($data[$field])) {
      return true;
    }
    return false;
  }

  public static function numeric($data, $field) {
    if (isset($data[$field])) {
      if (is_numeric($data[$field])) {
        return true;
      }
    }
    return false;
  }

  public static function date($data, $field, $format="Y-m-d") {
    if (isset($data[$field])) {
      $value = $data[$field];
      $converted = strtotime($value);
      if ($value == date($format, $converted)) {
        return true;
      }
    }
    return false;
  }

  public static function content_slug_exists($entries, $slug) {
    foreach ($entries as $key => $entry) {
      //rint " CHECKING {$slug} against {$entry['slug']}";
      if ($entry['slug'] == $slug) {
        return true;
      }
    }
    return false;
  }


  public static function _test()
  {
    $data = array();
    $data['first_name'] = 'John';
    $data['last_name'] = 'Doe';
    $data['valid_age'] = 33;
    $data['invalid_age'] = 'a';
    $data['valid_dob'] = "1970-10-01";
    $data['invalid_dob'] = "1970-14-01";

    // required
    if (self::required($data, 'first_name')) {
      print "\nReqired field: first_name is valid";
    } else {
      print "\nReqired field: first_name is not valid";
    }

    if (self::required($data, 'middle_name')) {
      print "\nReqired field: middle is valid";
    } else {
      print "\nReqired field: middle is not valid";
    }

    // numeric
    if (self::numeric($data, 'valid_age')) {
      print "\nNumeric field: valid_age is valid";
    } else {
      print "\nNumeric field: valid_age is not valid";
    }

    if (self::numeric($data, 'invalid_age')) {
      print "\nNumeric field: invalid_age is valid";
    } else {
      print "\nNumeric field: invalid_age is not valid";
    }

    // date
    if (self::date($data, 'valid_dob')) {
      print "\nDate field: valid_dob is valid";
    } else {
      print "\nDate field: valid_dob is not valid";
    }

    if (self::date($data, 'invalid_dob')) {
      print "\nDate field: invalid_dob is valid";
    } else {
      print "\nDate field: invalid_dob is not valid";
    }
  }
}

// TO TEST
// Statamic_Validate::_test();