<?php
/**
 * Statamic Control Panel
 * 
 * @author Jack McDade (jack@statamic.com)
 * @author Mubasher Iqbal (mubs@statamic.com)
 * @copyright 2012 Submattic
 */

// session_start();

// Load app
require '_app/slim/Slim.php';
require '_app/statamic/helper.php';
require '_app/statamic/plugin.php';
require '_app/statamic/statamic.php';
require '_app/statamic/view.php';
require '_app/statamic/validate.php';

require '_app/statamic/auth.php';
require '_app/statamic/user.php';

require '_app/libraries/Lex/Autoloader.php';
require '_app/libraries/markdown.php';
require '_app/libraries/classTextile.php';
require '_app/libraries/spyc.php';

$config = Statamic::load_all_configs();

$site_root = $config['_site_root'];
$admin_path = $config['_admin_path']."/";

$config['_admin_path'] = $admin_path;
$config['theme_path'] = Statamic_helper::reduce_double_slashes($site_root.'/'.$admin_path.'themes/'.$config['_admin_theme']."/");
$config['templates.path'] = $config['theme_path'];

$admin_app_view = new Statamic_View();
$admin_app = new Slim(array(
  'templates.path' => './admin/themes/'.$config['_admin_theme'],
  'theme_path' => '/admin/themes/'.$config['_admin_theme'],
  'view' => $admin_app_view,
  'cookies.lifetime' => $config['_cookies.lifetime'],
));

$admin_app->add(new Slim_Middleware_SessionCookie(
  array('expires' => $config['_cookies.lifetime'])
  ));

// Sitewide global config
$admin_app->config = $config;
Statamic_View::set_layout("layouts/default");

require $admin_path.'_routes.php';
require $admin_path.'fieldtype.php';
require $admin_path.'helper.php';

$admin_app->run(); # Go forth!
