<div id="status-bar">

  <?php if ($flash['success']): ?>
  <div id="flash-msg" class="success">
    <span class="icon">8</span>
    <span class="msg"><?php print $flash['success']; ?></p>
  </div>
  <?php endif ?>

  <?php if ($flash['error']): ?>
  <div id="flash-msg" class="error">
    <span class="icon">c</span>
    <span class="msg"><?php print $flash['error']; ?></p>
  </div>
  <?php endif ?>

  <span class="icon">n</span>
  <?php if (isset($new)): ?>New <?php else: ?>Editing<?php endif ?>
  <?php if ($type == 'none' && $original_slug != 'page'):?>Page: <?php print $full_slug; ?>
  <?php elseif ($type == 'none'): ?> Page: <?php print $full_slug; ?>
  <?php else: ?>Entry <em>in</em> <span class="slug"><?php print $full_slug; ?></span><?php endif ?>
  
  </span>
</div>

<div id="screen">

  <form method="post" action="<?php print Statamic::get_site_root() ?>admin.php/publish?path=<?php print $path ?>">

    <?php print CP_helper::run_hook('add_to_publish_form') ?>


    <input type="hidden" name="page[full_slug]" value="<?php print $full_slug; ?>">
    <input type="hidden" name="page[type]" value="<?php print $type ?>" />
    <input type="hidden" name="page[folder]" value="<?php print $folder ?>" />
    <input type="hidden" name="page[original_slug]" value="<?php print $original_slug ?>" />
    <input type="hidden" name="page[original_datestamp]" value="<?php print $original_datestamp ?>" />
    <input type="hidden" name="page[original_numeric]" value="<?php print $original_numeric ?>" />

    <?php if (isset($new)): ?>
      <input type="hidden" name="page[new]" value="1" />
    <?php endif ?>

      <?php if (isset($errors) && (sizeof($errors) > 0)): ?>
      <div class="panel topo">
        <p>Sorry an error prevented the form submission</p>
        <ul class="errors">
          <?php foreach ($errors as $field => $error): ?>
          <li><span class="field"><?php print $field ?></span> <span class="error"><?php print $error ?></span></li>
          <?php endforeach ?>
        </ul>
      </div>
      <?php endif ?>

      <div class="input-block input-text required">
        <label for="publish-title">Title</label>
        <input name="page[yaml][title]" class="text text-large" tabindex="1" placeholder="Enter a title..." id="publish-title" value="<?php print $title; ?>" />
      </div>

      <?php if ($slug != '/'): ?>
      <div class="input-block input-text required">
        <label for="publish-slug">Slug</label>
        <input type="text" id="publish-slug" class="text<?php if (isset($new)): ?> auto-slug <?php endif ?>" name="page[meta][slug]" value="<?php print $slug ?>" />
      </div>
      <?php else: ?>
        <input type="hidden" id="publish-slug" name="page[meta][slug]" value="<?php print $slug ?>" />
      <?php endif ?>


      <?php if ($type == 'date'): ?>
      <div class="input-block input-date date required" data-date="<?php print date("Y-m-d", $datestamp) ?>" data-date-format="yyyy-mm-dd">
        <label>Publish Date</label>
        <span class="icon">P</span>
        <input name="page[meta][publish-date]" type="text" id="publish-date"  value="<?php print date("Y-m-d", $datestamp) ?>" />
      </div>

      <?php elseif ($type == 'number'): ?>
      <div class="input-block input-text input-number" id="publish-order-number">
        <label for="publish-order-number">Order Number</label>
        <input name="page[meta][publish-numeric]" type="text" class="text date input-4char" maxlength="4" id="publish-order-number" value="<?php print $numeric; ?>" />
      </div>
      <?php endif ?>

      <div class="input-block input-select">
        <label for="publish-status">Status</label>
        <div class="input-select-wrap">
          <select name="page[yaml][status]" class="select" id="publish-status">
            <?php foreach (Statamic::$publication_states as $key => $value): ?>
              <option <?php if (isset($status) && $status == $key) print " selected "; ?> value="<?php print $key ?>"><?php print $value; ?></option>
            <?php endforeach ?>
          </select>
        </div>
      </div>

      <div class="input-block input-select">
        <label class="field-label" for="publish-template">Template</label>
        <div class="input-select-wrap">
          <select name="page[yaml][_template]" class="select" id="publish-template">
            <option value="">--Inherit--</option>
            <?php foreach ($templates as $key): ?>
              <option <?php if (isset($_template) && $_template == $key) print " selected "; ?> value="<?php print $key ?>"><?php print ucwords($key); ?></option>
            <?php endforeach ?>
          </select>
        </div>
      </div>


      <?php 
      if (isset($fields)):
        foreach ($fields as $key => $value):
          $fieldtype = isset($value['type']) ? $value['type'] : 'text';
          $val = "";
          if (isset($$key)) {
            $val = $$key;
          } else if (isset($value['default'])) {
            $val = $value['default'];
          } 
          # todo: make more flexible, pre-parsing?
          if (is_array($val)) $val = implode(", ", $val); ?>

          <div class="input-block input-<?php print $fieldtype?>">
            <?php ## FIELDTYPE API ## ?>
            <label><?php print $value['display']; ?></label>
            <?php print Fieldtype::render_fieldtype($fieldtype, $key, $value, $val);?>
          </div>
      
        <?php endforeach ?>
      <?php endif ?>

      <div class="input-block input-textarea markitup">
        <label for="publish-content">The Content</label>
        <textarea name="page[content]" id="publish-content"><?php print $content_raw; ?></textarea>
      </div>

      <div id="publish-action" class="footer-controls">
        <input type="submit" class="btn btn-submit" value="Save &amp; Publish" id="publish-submit">
      </div>

  </form>
</div>